MCP Tools Reference: gmailmcp.googleapis.com

Tool: create_label

Creates a new label in the authenticated user's Gmail account.

The following sample demonstrate how to use curl to invoke the create_label MCP tool.

Curl Request
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_label",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for CreateLabel RPC.

CreateLabelRequest

JSON representation
{
  "displayName": string
}
Fields
displayName

string

Required. The display name of the label to create.

Output Schema

Details of a label.

Label

JSON representation
{
  "labelId": string,
  "name": string
}
Fields
labelId

string

The unique identifier of the label.

name

string

The human-readable display name of the label.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌